<?php
/**
 * Locales information
 *
 * @package Masteriyo\i18n
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;

return array(
	'AT' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'left',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'AU' => array(
		'currency_code' => 'AUD',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'BA' => array(
		'currency_code' => 'BAM',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'BD' => array(
		'currency_code' => 'BDT',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'BE' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'left',
		'thousand_sep'  => ' ',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'BR' => array(
		'currency_code' => 'BRL',
		'currency_pos'  => 'left',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'CA' => array(
		'currency_code' => 'CAD',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'CH' => array(
		'currency_code' => 'CHF',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => "'",
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'DE' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'left',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'DK' => array(
		'currency_code' => 'DKK',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'ES' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'right',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'FI' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => ' ',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'FR' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'right',
		'thousand_sep'  => ' ',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'GB' => array(
		'currency_code' => 'GBP',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'HU' => array(
		'currency_code' => 'HUF',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => ' ',
		'decimal_sep'   => ',',
		'num_decimals'  => 0,
	),
	'IT' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'right',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'JM' => array(
		'currency_code' => 'JMD',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'JP' => array(
		'currency_code' => 'JPY',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 0,
	),
	'KE' => array(
		'currency_code' => 'KES',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 0,
	),
	'KR' => array(
		'currency_code' => 'KRW',
		'currency_pos'  => 'right',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 0,
	),
	'LI' => array(
		'currency_code' => 'CHF',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => "'",
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'MD' => array(
		'currency_code' => 'MDL',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'NL' => array(
		'currency_code' => 'EUR',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'NO' => array(
		'currency_code' => 'Kr',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'NP' => array(
		'currency_code' => 'NPR',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'PL' => array(
		'currency_code' => 'PLN',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => ' ',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'PY' => array(
		'currency_code' => 'PYG',
		'currency_pos'  => 'left',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'RO' => array(
		'currency_code' => 'RON',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'RS' => array(
		'currency_code' => 'RSD',
		'currency_pos'  => 'right_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
		'tax_rates'     => array(),
	),
	'TH' => array(
		'currency_code' => 'THB',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'TR' => array(
		'currency_code' => 'TRY',
		'currency_pos'  => 'left_space',
		'thousand_sep'  => '.',
		'decimal_sep'   => ',',
		'num_decimals'  => 2,
	),
	'TZ' => array(
		'currency_code' => 'TZS',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 0,
	),
	'UG' => array(
		'currency_code' => 'UGX',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 0,
	),
	'US' => array(
		'currency_code' => 'USD',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
	'ZA' => array(
		'currency_code' => 'ZAR',
		'currency_pos'  => 'left',
		'thousand_sep'  => ',',
		'decimal_sep'   => '.',
		'num_decimals'  => 2,
	),
);
